summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-06 06:18:58 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-09-06 06:18:58 +0000
commitb01983bf904a4326c1c75b65ebef91dd101d4285 (patch)
tree5296606083f8079ad7b36fedf6a665b0435912a6 /dev-python
parentdc088cab21c37639ee2755c8c8e395c827286072 (diff)
downloadbaldeagleos-repo-b01983bf904a4326c1c75b65ebef91dd101d4285.tar.gz
baldeagleos-repo-b01983bf904a4326c1c75b65ebef91dd101d4285.tar.xz
baldeagleos-repo-b01983bf904a4326c1c75b65ebef91dd101d4285.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aiohttp-socks/Manifest1
-rw-r--r--dev-python/aiohttp-socks/aiohttp-socks-0.8.2.ebuild40
-rw-r--r--dev-python/ansible-compat/Manifest1
-rw-r--r--dev-python/ansible-compat/ansible-compat-4.1.9.ebuild54
-rw-r--r--dev-python/cassowary/cassowary-0.6.ebuild10
-rw-r--r--dev-python/cassowary/files/cassowary.pngbin14922 -> 0 bytes
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.79.9.ebuild64
-rw-r--r--dev-python/clang-python/Manifest2
-rw-r--r--dev-python/clang-python/clang-python-17.0.0_rc4.ebuild54
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.84.1.ebuild91
-rw-r--r--dev-python/lit/Manifest2
-rw-r--r--dev-python/lit/lit-17.0.0_rc4.ebuild42
-rw-r--r--dev-python/meson-python/Manifest1
-rw-r--r--dev-python/meson-python/meson-python-0.14.0.ebuild66
-rw-r--r--dev-python/mkdocstrings-python/Manifest1
-rw-r--r--dev-python/mkdocstrings-python/mkdocstrings-python-1.6.2.ebuild40
-rw-r--r--dev-python/moderngl-window/Manifest2
-rw-r--r--dev-python/moderngl-window/moderngl-window-2.4.3.ebuild34
-rw-r--r--dev-python/moderngl-window/moderngl-window-2.4.4.ebuild80
-rw-r--r--dev-python/pyaml/Manifest1
-rw-r--r--dev-python/pyaml/pyaml-23.9.2.ebuild30
-rw-r--r--dev-python/python-dbusmock/Manifest1
-rw-r--r--dev-python/python-dbusmock/python-dbusmock-0.29.0.ebuild40
-rw-r--r--dev-python/sqlglot/Manifest1
-rw-r--r--dev-python/sqlglot/sqlglot-18.2.0.ebuild36
-rw-r--r--dev-python/stripe/Manifest1
-rw-r--r--dev-python/stripe/stripe-6.3.0.ebuild72
-rw-r--r--dev-python/translate-toolkit/Manifest1
-rw-r--r--dev-python/translate-toolkit/translate-toolkit-3.10.1.ebuild119
-rw-r--r--dev-python/wsaccel/Manifest1
-rw-r--r--dev-python/wsaccel/wsaccel-0.6.6.ebuild35
33 files changed, 844 insertions, 81 deletions
diff --git a/dev-python/aiohttp-socks/Manifest b/dev-python/aiohttp-socks/Manifest
index 3a6003d59efe..403af00aaba7 100644
--- a/dev-python/aiohttp-socks/Manifest
+++ b/dev-python/aiohttp-socks/Manifest
@@ -1,2 +1,3 @@
DIST aiohttp-socks-0.8.0.gh.tar.gz 13190 BLAKE2B 049655c526b5d7b64af79ef5f885d0f949edf1eeb4f3fb6e8a3cfc97738ebeb4663d68017761808279e938f477f9509123d8d6c6f4133287d1743dc2a8a021ed SHA512 e533be7059ee6914f919f5113596708732f70f4f1093adaccc6a829699c2aea157897c5398d9134acb0b2a11c8118f9d4f453792d8d8d14b10b207ca19ada2e7
DIST aiohttp-socks-0.8.1.gh.tar.gz 13336 BLAKE2B 39ad70fe9f1eb8d4f743c4d65dafb82c0878808b0861f899b12ba437ef80a9e4f077485c37fb8267588ac307446ea0c2d26c02de05cd3f44a76896610cc85cc4 SHA512 f8d30d6c6aa32968bbcf075d016ecc542835f6bdc2f0bbe1ffa06e580ab851a4f5abdac8d008e639d0cff49829a299afa42a80e159d7fece67439e5384817d85
+DIST aiohttp-socks-0.8.2.gh.tar.gz 13563 BLAKE2B 4e16abf9ed3f31fbbb8604587f2249a5387dbb1acc8a29d1999b52e84a5be3a0795073867a18c97c5c397f0742d75d4246a71484066bb8970a3d2356b482c8da SHA512 7fd7863bb7aa315a678516f02c2b4c2ba9dfb9e38ac7f1dd7ea78f474f005ee82334262c1bc31ba289554aa1a9e657a2f16dcf1950f16a2b959563b4016c3e88
diff --git a/dev-python/aiohttp-socks/aiohttp-socks-0.8.2.ebuild b/dev-python/aiohttp-socks/aiohttp-socks-0.8.2.ebuild
new file mode 100644
index 000000000000..7080a32c617d
--- /dev/null
+++ b/dev-python/aiohttp-socks/aiohttp-socks-0.8.2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="SOCKS proxy connector for aiohttp"
+HOMEPAGE="
+ https://pypi.org/project/aiohttp-socks/
+ https://github.com/romis2012/aiohttp-socks/
+"
+SRC_URI="
+ https://github.com/romis2012/aiohttp-socks/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aiohttp-2.3.2[${PYTHON_USEDEP}]
+ >=dev-python/python-socks-2.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/yarl[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/tiny-proxy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/ansible-compat/Manifest b/dev-python/ansible-compat/Manifest
index db2b79d89be2..783f6953834c 100644
--- a/dev-python/ansible-compat/Manifest
+++ b/dev-python/ansible-compat/Manifest
@@ -1,3 +1,4 @@
DIST ansible-compat-4.1.5.tar.gz 68562 BLAKE2B b28b6e5185b29a55d452e9c72636b31a1a35c68f207cc07376fafd0a70335966d06f927a803582b715b29c090a80aa5aa2663cba54221cb4d2dbcd9a11ec5a7a SHA512 6da0bab56237a6447462ed9ef528711eb4c998de2732ec021e8257d2baf6cbb1e1435707440b4c0d122fb4f938c855693bcd555e147613f230105e3af74c00a6
DIST ansible-compat-4.1.7.tar.gz 69900 BLAKE2B c8549573d4a4325579b6026b6b5fad5fe0abb0fdcf07a4c8e0699c040a97409632202f0a38703a113f9a86f68328642d8d5c4b897e3601a13737bc2a4deb4d88 SHA512 b3175573113a3df37923e582c191dd5f4522c3a2171cc93b186e49d5ca6baa2fd8b2e7af2e9457bb21b5bd6df6c9f82fccc10b5e2bfeda84c890c4cbc37fafb4
DIST ansible-compat-4.1.8.tar.gz 71895 BLAKE2B 19a3cdc953e678a82f6b187ca224c9f10eccf36f57aba2305bf00bc7b3606dfc2caddef7331cd920ae67731b904bc21b1af19fb0945625b050162e0edc8ab652 SHA512 0b9157fd60e1ae9b26c103118fad3e8e28f872c7093d0c6238b047072ac3232e7f9a4c50001125850f4bdd0ba06a1efd8df44a994b1dfaaf7d3f3cb2cb888524
+DIST ansible-compat-4.1.9.tar.gz 72116 BLAKE2B d8ada9162b30526c85cb8ab2f365ce85800e2d5c513acdb665a8474cdb666cc508ecf412379bb95a0c9c525d7d0432d2907701bbcaa68c2da3c764de9ae3c3eb SHA512 5d7177889f5e1acec27585980d0df15f6ea37f816da2438e200ce9450ff287f282a8abd66caab238c810decf9163a0e52f0c9bf2a03b1f885e6a58da20f7103a
diff --git a/dev-python/ansible-compat/ansible-compat-4.1.9.ebuild b/dev-python/ansible-compat/ansible-compat-4.1.9.ebuild
new file mode 100644
index 000000000000..942ca69ac011
--- /dev/null
+++ b/dev-python/ansible-compat/ansible-compat-4.1.9.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Contains functions that facilitate working with various versions of Ansible"
+HOMEPAGE="
+ https://pypi.org/project/ansible-compat/
+ https://github.com/ansible/ansible-compat/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+RDEPEND="
+ >=app-admin/ansible-core-2.12[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-4.6.0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/subprocess-tee-0.4.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools-scm-7.0.5[${PYTHON_USEDEP}]
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-plus[${PYTHON_USEDEP}]
+ )
+"
+
+# All these tests attempt to connect to galaxy.ansible.com
+EPYTEST_DESELECT=(
+ test/test_runtime.py::test_install_collection
+ test/test_runtime.py::test_install_collection_dest
+ test/test_runtime.py::test_prepare_environment_with_collections
+ test/test_runtime.py::test_prerun_reqs_v1
+ test/test_runtime.py::test_prerun_reqs_v2
+ test/test_runtime.py::test_require_collection_no_cache_dir
+ test/test_runtime.py::test_require_collection_wrong_version
+ test/test_runtime.py::test_require_collection
+ test/test_runtime.py::test_upgrade_collection
+ test/test_runtime_example.py::test_runtime
+ # pip, failing due to internets
+ test/test_runtime_scan_path.py::test_scan_sys_path
+)
+
+distutils_enable_tests pytest
diff --git a/dev-python/cassowary/cassowary-0.6.ebuild b/dev-python/cassowary/cassowary-0.6.ebuild
index 7a349e7546e4..57a2de67e05d 100644
--- a/dev-python/cassowary/cassowary-0.6.ebuild
+++ b/dev-python/cassowary/cassowary-0.6.ebuild
@@ -28,17 +28,17 @@ IUSE="X wayland"
MODULES_KERNEL_MIN=5.10
python_compile() {
- cd "${S}/app-linux"
- echo "See documenation of cassowary" > README.md # Dummy Readme file (solve qa error)
- sed -i "s/version = 0.5/version = ${PV}/g" setup.cfg #version typo upstream
+ cd "${S}/app-linux" || die
+ echo "See documenation of cassowary" > README.md || die # Dummy Readme file (solve qa error)
+ sed -i "s/version = 0.5/version = ${PV}/g" setup.cfg || die #version typo upstream
${EPYTHON} -m build --wheel --no-isolation
}
python_install() {
- cd "${S}/app-linux"
+ cd "${S}/app-linux" || die
${EPYTHON} -m installer --destdir="${D}" dist/cassowary-${PV}-py3-none-any.whl
domenu "${FILESDIR}/cassowary.desktop"
- doicon "${FILESDIR}/cassowary.png"
+ doicon "${S}/app-linux/src/cassowary/gui/extrares/cassowary.png"
}
pkg_postinst() {
diff --git a/dev-python/cassowary/files/cassowary.png b/dev-python/cassowary/files/cassowary.png
deleted file mode 100644
index ff18bca0c4b2..000000000000
--- a/dev-python/cassowary/files/cassowary.png
+++ /dev/null
Binary files differ
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 07a726c12af8..f71ade5eda82 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,3 +1,4 @@
DIST cfn-lint-0.78.2.tar.gz 3533168 BLAKE2B 043991f54cd6d793fc91af8d911184d6a98be34fb9a5735fd45113405707802fd0427654cf21de4c15b62fecd149a5d21af1b96ddf8810eb6ea507b5798a8d94 SHA512 63c575ba282cb097b321a8a00e70b1afdffd3c349e031d8a1ff2aacaeb397824e9f19968e2107a00d1aae6d7f644f376174ecc80389ee581727935867d73872e
DIST cfn-lint-0.79.7.tar.gz 3637937 BLAKE2B bfd4583ecbb64cc7dc0b1db91b3afb0859d660be8d3e7d57c427fc6f3cd89b864cd60bbfc0450a2aa7dadb4fa51f275867307bd0fd510d03efd42c2f53b33ee1 SHA512 aa3e89006d92cfb72c191716fc2553aaa8e92d5d5d64f7ebce6459d10abf7d057ee41ca667d99f6153604ae92be98b69425e5e91b7ffc1cbf82466c2c8a3ebd3
DIST cfn-lint-0.79.8.tar.gz 3707474 BLAKE2B fe8790af88f82f7b12ea79cd07567047a0e0a1093d0adfd9b6e388fa2e53756773786c20a2d6231c7d6497748db1ce6d1aa38d4798aae3211e0cb756690e71e2 SHA512 6ae0dacc8fa5447ce8302b32d0e91f4e7c9367eb6f8db1951f19e620b8a9e3afa30c8013c907e2b1faf92daadecc81ac852470fadc30d036669e5e88b236715c
+DIST cfn-lint-0.79.9.tar.gz 3699097 BLAKE2B d85d520b2bbba0c61766716bbc3222ce5cfd6cb467f215c7914a3996682ac86c5feb11ff01f946641cba0cafb7c1a7cf1a081a76f37dd3daa0e03a4a59b35d7c SHA512 ad11ad76cf48a4c1661ef2b627fcf3c9eed08183a6c4401df826c75818f77d7878332ad2915ebc6dcf833eb15f886124fb15d83b46e9e1add88f911edf30db11
diff --git a/dev-python/cfn-lint/cfn-lint-0.79.9.ebuild b/dev-python/cfn-lint/cfn-lint-0.79.9.ebuild
new file mode 100644
index 000000000000..cb09818d35f8
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.79.9.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.73.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema_to_python-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ dev-python/regex[${PYTHON_USEDEP}]
+ >=dev-python/sarif_om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -e '/jsonschema/s:,<4.18::' -i setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+ # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+ test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+ test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+ )
+
+ # from tox.ini
+ local -x AWS_DEFAULT_REGION=us-east-1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/clang-python/Manifest b/dev-python/clang-python/Manifest
index aefca5c7ae38..aa50ad835c53 100644
--- a/dev-python/clang-python/Manifest
+++ b/dev-python/clang-python/Manifest
@@ -6,5 +6,7 @@ DIST llvm-project-16.0.6.src.tar.xz 118013488 BLAKE2B 95192d39cbd2914e5609db3659
DIST llvm-project-16.0.6.src.tar.xz.sig 566 BLAKE2B 2060cebd5ed57cb8a86a44238c43dfd4b921649298b10c3d19da308374c1e49869174294e29943c2af459fe06428264e26881d6c1288ebbc48686cc2cf467c7a SHA512 ca249262c7102e0889ec1bdc6f71a3a6f0e7e5d5fbab8abcd6fccd2871e7955eff7af5b055a76006097baf0dfaf2f5069eff3035b3107fc552abdb2481b21447
DIST llvm-project-17.0.0rc3.src.tar.xz 127805656 BLAKE2B ecaead9f227b8357a5dc5ff21554d9b4f5aa036df1b88676fd8c3e16b438381db062872be396af5246e12cd71812a886016e0331a272dafc3508ecd0bfbb50ed SHA512 5f48b4af2e4f9bc470fcfd42fd48072b7bd442bc676d8401b04fbc6e9014a9a78e1bf524ba78f7ae8a1246222a6b03ca662721e3bf6e9eb03a015dd3306c7234
DIST llvm-project-17.0.0rc3.src.tar.xz.sig 438 BLAKE2B 7b644cf501d17a6aef9b052e359ba06c1840a75e5263de46d938dbbdea07720b53d7ee6b5861ad641d0f7a7f75c6cc17717847b0ea9cf08873dbfacbe1c19074 SHA512 7059b1a90b7dd8cfa831f9e199a3a817358fd75d7c7d7e6de446d5443fce5831877a28e9b964ea238c1d803f9054bf4f53a97622d5f756f7f99aaa1c1a279f44
+DIST llvm-project-17.0.0rc4.src.tar.xz 127838724 BLAKE2B e3bf524e55db5e4305099ecdff09c0d3eab7957a5f8729eefe636e361460f405fbfd569af38aa39eea3b6c1e024feaa0400f8bc092194f2c3b54c695e7962591 SHA512 be7b5ad136d03864dbd11a589ca9e8b0b04a4226ebcffcc123b3ba72992f704bab4f9550d03eb2ac1d21fb8b73ac7824398b4cb4c9cec2118efb112babfe0f65
+DIST llvm-project-17.0.0rc4.src.tar.xz.sig 438 BLAKE2B 2cda35b4a3ebddfdbe6828459c8bd8fdfaa8e04d2d1c4f2faf16f5c66909186d2dd73e6a163cf733d8955c007249cf3f62f237855d5a76b1b61f3bfa30e4972d SHA512 5f713e05b7c58fab6e9cc43f2f3f69120482c9b60008146da0cddb266d1a5c9b9a77e1e338fce4e15624b332ac53a90c5c4a6f62c58a77f2122a015b4f0ebed2
DIST llvm-project-e3373c6c83d3855adb78f1952a3bf0398baf359e.tar.gz 196926975 BLAKE2B 9da1052db0a6ff81a8b76cbf9cb2ab7eed5c8798dc5ae6887a4694de8b151c7a1282cfff2da2e8440b1a67d3d12c33db319fbbe6062761b6d5369e6b335821ae SHA512 8bb6d49ddb824e932f7bad3c51e4a6c2227139aaf19c02e9deb15657919bc12ea41844d8fe045061814aefb9031d82b167c7c0c20bedaa09aaffe164a2109f7d
DIST llvm-project-f6259d9b9a546dbfa5bc2f29313c6edd6c701177.tar.gz 196957045 BLAKE2B c38b17f4e697c090b0b70385e45ca4ce97981746738e556154895d5b57cede90f6b8bdc5f41023bda6e942f07f572aa508cf0107fb81bee80a5ea9f13ac495fd SHA512 8394a42e1963618ed7f7cf7770acb72ae6bf84f3e2351218b5049ea2d76ff6ae768ad5588ffd1b2be1b5228a8fcb03663430814c409ceb9fa5735c891847f816
diff --git a/dev-python/clang-python/clang-python-17.0.0_rc4.ebuild b/dev-python/clang-python/clang-python-17.0.0_rc4.ebuild
new file mode 100644
index 000000000000..85658fd637a4
--- /dev/null
+++ b/dev-python/clang-python/clang-python-17.0.0_rc4.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+DEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+ test? (
+ sys-devel/clang:${LLVM_MAJOR}
+ )
+"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ # tests rely on results from a specific clang version, so override
+ # the search path
+ local -x CLANG_LIBRARY_PATH=${BROOT}/usr/lib/llvm/${LLVM_MAJOR}/$(get_libdir)
+ local -x CLANG_NO_DEFAULT_CONFIG=1
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 27795558682e..eabccb4101c7 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -7,3 +7,4 @@ DIST hypothesis-6.82.7.gh.tar.gz 9379221 BLAKE2B ccb35d84bd9fe6b68f396575ed7f55a
DIST hypothesis-6.83.0.gh.tar.gz 9380147 BLAKE2B ec878cbd6def0cfd8b8c638775c00e42be30f5129f0083544260be1e2123756266bde67cc1ef3b49a6d47c7827eec7bfe2695dfc113d0af9c205071e6d3c2cf8 SHA512 b68f8e6a4d4aae138ce1bf30fde1870cd23d80dde583a0a758b1ac1baf949bcac8622770ae01b761d0760dc63bba80d630e8cd4ba83174ba6d0924a41a7f7c9e
DIST hypothesis-6.83.1.gh.tar.gz 9380569 BLAKE2B a1af77a089ade4a957fd66036095436861ff96dca3c9670ae87f28ba4223531168175329a43574c744ce0d91786bed2ed911837642c9506341f94875080e5a5b SHA512 4649061550b0d1ac96217c5cfd5e6eb44352eee6b81861fd93138fffaac3d85a87644c3faff221f6bb389f2bebdc47436f5ea70fc746aada2d25c78a74a21fec
DIST hypothesis-6.84.0.gh.tar.gz 9383310 BLAKE2B 3b269214d341dbdf88b529e3c04dc613eb0d79db4748462b0637f118daceb721fcb4779ea030fc872ebab272e9b92419c7ac0b33ee7648ff73a425bc272cd095 SHA512 956db7837d6cf12e425d088593b227d777c56fc51f49e62e6767141d307c9df10a3273e30532eea6288689ed58e03ab9bd975c66fec940d0a72f8079e359d918
+DIST hypothesis-6.84.1.gh.tar.gz 9385220 BLAKE2B 44fd42635f5abd87fbead97f334650da7c3ff2d69522f6e22edca9f5eccea9f82315099f6c9bbac2bba5af0a8fab477bbfbe65a7beb68a3821208e0e03602ede SHA512 fab9e337e0d445c2994892268ec9a660032c87cc0bd261138abd174c0e103c2952557ec28516e719a6264d3c7fcab621995c46886d358240c086dc9669085dbe
diff --git a/dev-python/hypothesis/hypothesis-6.84.1.ebuild b/dev-python/hypothesis/hypothesis-6.84.1.ebuild
new file mode 100644
index 000000000000..4c56e9453286
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.84.1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= -n "$(makeopts_jobs)" --dist=worksteal \
+ tests/cover tests/pytest tests/quality
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/lit/Manifest b/dev-python/lit/Manifest
index aefca5c7ae38..aa50ad835c53 100644
--- a/dev-python/lit/Manifest
+++ b/dev-python/lit/Manifest
@@ -6,5 +6,7 @@ DIST llvm-project-16.0.6.src.tar.xz 118013488 BLAKE2B 95192d39cbd2914e5609db3659
DIST llvm-project-16.0.6.src.tar.xz.sig 566 BLAKE2B 2060cebd5ed57cb8a86a44238c43dfd4b921649298b10c3d19da308374c1e49869174294e29943c2af459fe06428264e26881d6c1288ebbc48686cc2cf467c7a SHA512 ca249262c7102e0889ec1bdc6f71a3a6f0e7e5d5fbab8abcd6fccd2871e7955eff7af5b055a76006097baf0dfaf2f5069eff3035b3107fc552abdb2481b21447
DIST llvm-project-17.0.0rc3.src.tar.xz 127805656 BLAKE2B ecaead9f227b8357a5dc5ff21554d9b4f5aa036df1b88676fd8c3e16b438381db062872be396af5246e12cd71812a886016e0331a272dafc3508ecd0bfbb50ed SHA512 5f48b4af2e4f9bc470fcfd42fd48072b7bd442bc676d8401b04fbc6e9014a9a78e1bf524ba78f7ae8a1246222a6b03ca662721e3bf6e9eb03a015dd3306c7234
DIST llvm-project-17.0.0rc3.src.tar.xz.sig 438 BLAKE2B 7b644cf501d17a6aef9b052e359ba06c1840a75e5263de46d938dbbdea07720b53d7ee6b5861ad641d0f7a7f75c6cc17717847b0ea9cf08873dbfacbe1c19074 SHA512 7059b1a90b7dd8cfa831f9e199a3a817358fd75d7c7d7e6de446d5443fce5831877a28e9b964ea238c1d803f9054bf4f53a97622d5f756f7f99aaa1c1a279f44
+DIST llvm-project-17.0.0rc4.src.tar.xz 127838724 BLAKE2B e3bf524e55db5e4305099ecdff09c0d3eab7957a5f8729eefe636e361460f405fbfd569af38aa39eea3b6c1e024feaa0400f8bc092194f2c3b54c695e7962591 SHA512 be7b5ad136d03864dbd11a589ca9e8b0b04a4226ebcffcc123b3ba72992f704bab4f9550d03eb2ac1d21fb8b73ac7824398b4cb4c9cec2118efb112babfe0f65
+DIST llvm-project-17.0.0rc4.src.tar.xz.sig 438 BLAKE2B 2cda35b4a3ebddfdbe6828459c8bd8fdfaa8e04d2d1c4f2faf16f5c66909186d2dd73e6a163cf733d8955c007249cf3f62f237855d5a76b1b61f3bfa30e4972d SHA512 5f713e05b7c58fab6e9cc43f2f3f69120482c9b60008146da0cddb266d1a5c9b9a77e1e338fce4e15624b332ac53a90c5c4a6f62c58a77f2122a015b4f0ebed2
DIST llvm-project-e3373c6c83d3855adb78f1952a3bf0398baf359e.tar.gz 196926975 BLAKE2B 9da1052db0a6ff81a8b76cbf9cb2ab7eed5c8798dc5ae6887a4694de8b151c7a1282cfff2da2e8440b1a67d3d12c33db319fbbe6062761b6d5369e6b335821ae SHA512 8bb6d49ddb824e932f7bad3c51e4a6c2227139aaf19c02e9deb15657919bc12ea41844d8fe045061814aefb9031d82b167c7c0c20bedaa09aaffe164a2109f7d
DIST llvm-project-f6259d9b9a546dbfa5bc2f29313c6edd6c701177.tar.gz 196957045 BLAKE2B c38b17f4e697c090b0b70385e45ca4ce97981746738e556154895d5b57cede90f6b8bdc5f41023bda6e942f07f572aa508cf0107fb81bee80a5ea9f13ac495fd SHA512 8394a42e1963618ed7f7cf7770acb72ae6bf84f3e2351218b5049ea2d76ff6ae768ad5588ffd1b2be1b5228a8fcb03663430814c409ceb9fa5735c891847f816
diff --git a/dev-python/lit/lit-17.0.0_rc4.ebuild b/dev-python/lit/lit-17.0.0_rc4.ebuild
new file mode 100644
index 000000000000..20dc4e100e96
--- /dev/null
+++ b/dev-python/lit/lit-17.0.0_rc4.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 llvm.org
+
+DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Tests require 'FileCheck' and 'not' utilities (from llvm)
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ sys-devel/llvm
+ )
+"
+
+LLVM_COMPONENTS=( llvm/utils/lit )
+llvm.org_set_globals
+
+# TODO: move the manpage generation here (from sys-devel/llvm)
+
+src_prepare() {
+ cd "${WORKDIR}" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x LIT_PRESERVES_TMP=1
+ local litflags=$(get_lit_flags)
+ ./lit.py ${litflags//;/ } tests || die
+}
diff --git a/dev-python/meson-python/Manifest b/dev-python/meson-python/Manifest
index 120dbde79529..d8a34123b38f 100644
--- a/dev-python/meson-python/Manifest
+++ b/dev-python/meson-python/Manifest
@@ -1 +1,2 @@
DIST meson-python-0.13.2.gh.tar.gz 69575 BLAKE2B ddcab5530e7c235057752f1c355052120863167fc601b669e3add713079400cf95617be84989e06542125850559124d70a693a618cbec456c0e59e3f80d14c5f SHA512 b5518c5e9ccbec40747f2c08a83134f012557e0d9612b99999473d2ae7fdfdeae5b7552dc16cebb493133c3ed8c52153b3e3afd3cef32d0f3a65771ebbb5b3bb
+DIST meson-python-0.14.0.gh.tar.gz 72523 BLAKE2B d0fd66dee8a5efd73e617033aec3f14eb66affe72cd84c30a740820f5a0c34a4ae4ffd31e1df26312513b312940f62af436b9870216ee93d7543b4f02dec6637 SHA512 f40963a9c2bca8edf0f5651f9f4f1fab8df89cca715dd8dc0dec11ac53a591ee19d2d06edead917f15382410a51a37cd4efcee2c52696eb10a546b080bac2ad8
diff --git a/dev-python/meson-python/meson-python-0.14.0.ebuild b/dev-python/meson-python/meson-python-0.14.0.ebuild
new file mode 100644
index 000000000000..51ed4ed86787
--- /dev/null
+++ b/dev-python/meson-python/meson-python-0.14.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Meson PEP 517 Python build backend"
+HOMEPAGE="
+ https://pypi.org/project/meson-python/
+ https://github.com/mesonbuild/meson-python/
+"
+SRC_URI="
+ https://github.com/mesonbuild/meson-python/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+ >=dev-python/pyproject-metadata-0.7.1[${PYTHON_USEDEP}]
+ >=dev-util/meson-0.63.0[${PYTHON_USEDEP}]
+ !kernel_Darwin? ( dev-util/patchelf )
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.0.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ >=dev-python/cython-0.29.34[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires network access
+ tests/test_pep518.py::test_pep518
+ # requires git repo
+ # https://github.com/mesonbuild/meson-python/issues/397
+ tests/test_project.py::test_user_args
+ )
+ unset NINJA
+
+ if [[ ${EPYTHON} == pypy3 ]]; then
+ EPYTEST_DESELECT+=(
+ # broken venv usage that copies pypy3 executable, making it
+ # unable to find lib_pypy
+ tests/test_editable.py::test_editable_install
+ tests/test_editable.py::test_editble_reentrant
+ tests/test_examples.py::test_spam
+ tests/test_wheel.py::test_local_lib
+ )
+ fi
+
+ epytest
+
+ rm -rf docs/examples/spam/build/ || die # remove artifacts
+}
diff --git a/dev-python/mkdocstrings-python/Manifest b/dev-python/mkdocstrings-python/Manifest
index 4e6fe17ea024..1455b14f6207 100644
--- a/dev-python/mkdocstrings-python/Manifest
+++ b/dev-python/mkdocstrings-python/Manifest
@@ -3,3 +3,4 @@ DIST mkdocstrings-python-1.5.1.gh.tar.gz 135102 BLAKE2B 06da82fd75b5f4311e983160
DIST mkdocstrings-python-1.5.2.gh.tar.gz 135238 BLAKE2B 09885164675a0955dcbef0a17871a6d19dbbfc9a7d6114a46e23dbb5a2428e7d46ffe626ecab10939934c06817892cde0e3e3db592776f7fb25dcdbdf8473a85 SHA512 0f069b07cb681ad470947dd02996e783ee809f34418316e8929322f20304dddab7049bc5dc0874e0b4ff6f6af6d958bbb69a4c61515d56cc716a774a1957f51e
DIST mkdocstrings-python-1.6.0.gh.tar.gz 135452 BLAKE2B cde95f8066ac97cbe3f618cb399cdcc06027632100198a7cd5970c09683a1d1bbe2b7aa32dcc8dae437b19efe4de007cd04899564a44021ad1e1794b7b9d5da7 SHA512 58da4eb6e3c7d702782346ca5b66726fe1f24c4a0f57a90bd5ab53ef90787eb16291d492078f10a847a6cbf63892b34a8d8d41714311664c659bf14acc0739a7
DIST mkdocstrings-python-1.6.1.gh.tar.gz 135536 BLAKE2B 34e0c43d73002988b6511b8027c910085f7f241895e28048c30944b303f9882af5335f52bf201c14055db7df31e051e9d2c1ec696777c9fc87e547d776684ba0 SHA512 429ca933fef33668c02081bdd539a556a7322f4759af6db74255ee39d4ad5f8a37f6626c58457eaaeabc76e559be8834bfe952e8bdb09f9924a86cb56faabbeb
+DIST mkdocstrings-python-1.6.2.gh.tar.gz 135683 BLAKE2B 2f8cbb10c5b8f69cb530f71d34fee73334ebc5dd52919ae53b67d5298ae8d416ea92cb0a38ee411b11ff65713d0d5dbd3cf877b338d82f24e24b6a7b62924694 SHA512 aac206ac0440eb64d53f82f22e3d924879c2a4df953c603139739a753b64c1c3cce05828948881ff2c7e0c1f49b94b0847797d22f92d86dc1ae449cc8aa7d677
diff --git a/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.2.ebuild b/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.2.ebuild
new file mode 100644
index 000000000000..f9c059e2c6d8
--- /dev/null
+++ b/dev-python/mkdocstrings-python/mkdocstrings-python-1.6.2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+DISTUTILS_USE_PEP517=pdm-backend
+
+inherit distutils-r1
+
+DESCRIPTION="Python handler for dev-python/mkdocstrings"
+HOMEPAGE="
+ https://mkdocstrings.github.io/python/
+ https://github.com/mkdocstrings/python/
+ https://pypi.org/project/mkdocstrings-python/
+"
+# Tests need files absent from the PyPI tarballs
+SRC_URI="
+ https://github.com/mkdocstrings/python/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/python-${PV}"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+RDEPEND="
+ >=dev-python/griffe-0.35[${PYTHON_USEDEP}]
+ dev-python/mkdocstrings[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mkdocs-material[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export PDM_BUILD_SCM_VERSION=${PV}
diff --git a/dev-python/moderngl-window/Manifest b/dev-python/moderngl-window/Manifest
index fd5e763e0d1f..ab5201f614c2 100644
--- a/dev-python/moderngl-window/Manifest
+++ b/dev-python/moderngl-window/Manifest
@@ -1 +1 @@
-DIST moderngl-window-2.4.3.gh.tar.gz 30987984 BLAKE2B bc8dae6e3f5de49d516581dc204e60497ec2c38c9efcc8b138bb76a1de1e3436029e9d895b6810b849752e1f9ae2ae3ff830f495e64248a2f89d2a75950b2b6e SHA512 0dfde81644913d9797aeb17c74816b0c8f462c0aeb9d31ca3b9d8d691e90931a70b0deab14748f0ee36aa9a2e9fcc771e570b02582bbbfa3fbf75b99f9f205ba
+DIST moderngl-window-2.4.4.gh.tar.gz 30989161 BLAKE2B 9c4c8bea6a69cf0df4e5967f28be8766c89206a2a9315f86f8b1c4fb2dd30dfddaac82a40cf28bcf6e2337811135daf389367fe8eefbfb7b93c61f1de1db6406 SHA512 8c8f027c2be4d9acfed3ac0f299e0d27bd0a0f2b7ad7f87d5309c276fa3a8ff4afd417e94f808a22a8ff683ae2465aba6a8d09dc07d621dff2b9f8606ceb3ccd
diff --git a/dev-python/moderngl-window/moderngl-window-2.4.3.ebuild b/dev-python/moderngl-window/moderngl-window-2.4.3.ebuild
deleted file mode 100644
index 72ac8e41f799..000000000000
--- a/dev-python/moderngl-window/moderngl-window-2.4.3.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11} )
-
-inherit distutils-r1 virtualx
-
-DESCRIPTION="A cross platform utility library for ModernGL"
-HOMEPAGE="https://github.com/moderngl/moderngl-window https://pypi.org/project/moderngl-window"
-SRC_URI="https://github.com/moderngl/moderngl-window/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-
-BDEPEND="
- dev-python/moderngl[${PYTHON_USEDEP}]
- dev-python/glcontext[${PYTHON_USEDEP}]
- test? (
- dev-python/coverage[${PYTHON_USEDEP}]
- dev-python/trimesh[${PYTHON_USEDEP}]
- dev-python/PyWavefront[${PYTHON_USEDEP}]
- dev-python/pyrr[${PYTHON_USEDEP}]
- )
-"
-DEPEND="${BDEPEND}"
-
-distutils_enable_tests pytest
-src_test() {
- virtx distutils-r1_src_test
-}
diff --git a/dev-python/moderngl-window/moderngl-window-2.4.4.ebuild b/dev-python/moderngl-window/moderngl-window-2.4.4.ebuild
new file mode 100644
index 000000000000..4ea518a6c53d
--- /dev/null
+++ b/dev-python/moderngl-window/moderngl-window-2.4.4.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="A cross platform utility library for ModernGL"
+HOMEPAGE="https://github.com/moderngl/moderngl-window https://pypi.org/project/moderngl-window"
+SRC_URI="https://github.com/moderngl/moderngl-window/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc examples"
+
+NEEDED_FOR_TESTS_AND_RUN="
+ >dev-python/numpy-1.16[${PYTHON_USEDEP}]
+ >=dev-python/PyWavefront-1.2.0[${PYTHON_USEDEP}]
+ <dev-python/PyWavefront-2[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.3.2[${PYTHON_USEDEP}]
+ >=dev-python/trimesh-3.2.6[${PYTHON_USEDEP}]
+"
+
+RDEPEND="
+ dev-python/glfw[${PYTHON_USEDEP}]
+ dev-python/imgui[glfw,sdl,opengl,${PYTHON_USEDEP}]
+ <dev-python/moderngl-6[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ >=dev-python/pygame-2.0.1[${PYTHON_USEDEP}]
+ dev-python/pyglet[${PYTHON_USEDEP}]
+ >=dev-python/pyopengl-3.1.0[${PYTHON_USEDEP},tk]
+ <dev-python/PyQt5-6[${PYTHON_USEDEP}]
+ >=dev-python/pyrr-0.10[${PYTHON_USEDEP}]
+ <dev-python/PySDL2-1[${PYTHON_USEDEP}]
+ <dev-python/pyside2-6[${PYTHON_USEDEP}]
+ ${NEEDED_FOR_TESTS_AND_RUN}
+"
+
+BDEPEND="
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/glcontext[${PYTHON_USEDEP}]
+ ${NEEDED_FOR_TESTS_AND_RUN}
+ )
+ doc? (
+ <dev-python/moderngl-6[${PYTHON_USEDEP}]
+ >dev-python/numpy-1.16[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ >=dev-python/pyrr-0.10[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]
+ )
+"
+
+DEPEND="${RDEPEND}"
+
+python_compile_all() {
+ if use doc; then
+ find "${S}/docs" -type f -exec sed -i 's/sphinxcontrib.napoleon/sphinx\.ext\.napoleon/g' {} \;
+ emake man -C docs
+ fi
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ use doc && doman "${S}/docs/_build/man/${PN}.1"
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
+
+distutils_enable_tests pytest
+src_test() {
+ virtx distutils-r1_src_test
+}
diff --git a/dev-python/pyaml/Manifest b/dev-python/pyaml/Manifest
index db647b223d74..f993170c5e64 100644
--- a/dev-python/pyaml/Manifest
+++ b/dev-python/pyaml/Manifest
@@ -1,2 +1,3 @@
DIST pyaml-23.7.0.tar.gz 20805 BLAKE2B 797b2b5d2121f3b0f67445d4b3a55b13d0716d5eddd5dc83a08b767d293b486e9985203f4e2571a7c8d3010b9cac9093e9353517f6414cd5b89cdcfe5d39c85a SHA512 edbe58a3a7f1216a2463ac56af829c38b12b7194429691a92cb7f28ca926094e324d6e44d3fb64be40239dc8a6dc61d72946b107f5210ca83e73dec18b1428ef
DIST pyaml-23.9.1.tar.gz 21479 BLAKE2B dd684dd290cb3666ff823782d5252fea663ebd8801112765a1c4d18e1020072235a61f9d04df77da07bfb53074b1f3ed6a3a69776282c601768d14e79bb2ce41 SHA512 697ec54818d1c9117af768b2dd9e9269d78cf64416ea35673bee6b874f7b712be95467cdab73552c7105c38be73edb0a9a91fa924b191def7e39ed86b0eb8fd9
+DIST pyaml-23.9.2.tar.gz 21955 BLAKE2B f397a88c89be6b7caa3752209ad3d0755882e3c638e94af53e57907bdcfb8ef31b34890f8942f7b482d1b7d8945644e8f86137e4c0d78fafce32a35833ce0095 SHA512 70f5bb9b883649d1051a39ba5e9aef262534571a92719612acd7f7ce98dd02317a31a78f75e3fd0db38f4448880dde13a03d5f667b02d381dfce31afef32c2a4
diff --git a/dev-python/pyaml/pyaml-23.9.2.ebuild b/dev-python/pyaml/pyaml-23.9.2.ebuild
new file mode 100644
index 000000000000..28745c670d67
--- /dev/null
+++ b/dev-python/pyaml/pyaml-23.9.2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="PyYAML-based module to produce pretty and readable YAML-serialized data"
+HOMEPAGE="
+ https://github.com/mk-fg/pretty-yaml/
+ https://pypi.org/project/pyaml/
+"
+
+LICENSE="WTFPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/unidecode[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/python-dbusmock/Manifest b/dev-python/python-dbusmock/Manifest
index df21804536fb..358e2051db78 100644
--- a/dev-python/python-dbusmock/Manifest
+++ b/dev-python/python-dbusmock/Manifest
@@ -1,2 +1 @@
-DIST python-dbusmock-0.29.0.tar.gz 92406 BLAKE2B e23a7e81584a94532258237e75f35d1c7fe2cba901d30e1a211d61ce48db2992f1c19d08401059b60b80a3aa7bf6c1e21d096bd30eacb27d16c3189b1f9b7938 SHA512 618f6069802cdfcab41e09c9ed27f2c55c35f072bea4c0b38c057297ff3de0759b1b37128fee8d331d058f3c2a4607f25f0d8b42077f5b4fc155c6e5a4cb94c3
DIST python-dbusmock-0.29.1.tar.gz 92555 BLAKE2B 64888de1a6b99698a36be357cad56f7d0f646a2ddb67825b37f5a9241a90dc7d4df6f0de42abc471ec10e10e9166e0b8b3d17f4e6277f2e54836cd01968dfe61 SHA512 722002838a983bbe908192ed1cae715066f509f33bd3b9bff8075d8f2d75c41b57e89bc7d76af2591d815f244b604671fa45030a52499a369d2cf23842fa4e88
diff --git a/dev-python/python-dbusmock/python-dbusmock-0.29.0.ebuild b/dev-python/python-dbusmock/python-dbusmock-0.29.0.ebuild
deleted file mode 100644
index 22f55940ceaa..000000000000
--- a/dev-python/python-dbusmock/python-dbusmock-0.29.0.ebuild
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{8,9,10,11} )
-PYTHON_REQ_USE="xml(+)"
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Easily create mock objects on D-Bus for software testing"
-HOMEPAGE="
- https://github.com/martinpitt/python-dbusmock/
- https://pypi.org/project/python-dbusmock/
-"
-
-LICENSE="LGPL-3+"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86"
-
-RDEPEND="
- dev-python/dbus-python[${PYTHON_USEDEP}]
- dev-python/pygobject:3[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-EPYTEST_IGNORE=(
- # linter tests, fragile to newer linter versions
- tests/test_code.py
-)
-
-src_prepare() {
- # dev-python/dbus-python uses autotools, so no .dist-info there
- sed -i '/dbus-python/d' pyproject.toml setup.cfg || die
-
- distutils-r1_src_prepare
-}
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index 72cabfed0935..da9691c69a8c 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -2,3 +2,4 @@ DIST sqlglot-17.16.2.tar.gz 8562390 BLAKE2B f985f74765438c9b57a1df9ff1ad9cf43b7e
DIST sqlglot-18.0.0.tar.gz 8563952 BLAKE2B 6feb815c0169c6bbf12942a162ab769d1acba205fec8df18455d582794ec609af6549adeed0d3c47f463e1635dc13cf328ae3fb8e99dc872d53ff4692e5eb63e SHA512 9686be72eb08a61b9808bdac4dafdf2e42ffddb7be563ecb48ab9ab974efc81e271dc47ecf4e87305bd244ee8ac5fe3449697b6fad68443484ede93b1eff8a0b
DIST sqlglot-18.0.1.tar.gz 8567474 BLAKE2B 434a31e12f98ba88e4f6fe7c34dff7f69dc991257ed4f976a4f263cb40844c41ace79ec0bf4793aee73e8359ddf4d538bee6d8dea79f9e920788b3c3ee3ef8e5 SHA512 729cea4c03a5bf2b658ca2cede31454d46275bc03af946ba238f1d79c190d3a3bc62521dd6310c544469199027fb9eadc901e919a9ce5e34fa6f4eeb18ac48ad
DIST sqlglot-18.1.0.tar.gz 8570691 BLAKE2B 5c38baaa9600222c43f11338f2050eaf2e382752aa9df418e6cd8520e5a778e1d5cb6ae21a6cb2602a9ab313b993a43c9e72a26499ccc9cfe79995404bbb0975 SHA512 d9a543142514bb6422541085be900e466600bbf0d23f4f69eb817bcd1c5dcf9c3783b11f385a1379a68723eec4605e0372bf5dffa008426566d07a4d518009c3
+DIST sqlglot-18.2.0.tar.gz 8585675 BLAKE2B e66be52c97f18811e30d9ee2a3a8ae99ddb72e860a05f85fe48bb3e4b94c089fa425cf21ea66f2c6e45ac6f3823f339eb9fcfd1598a1c7a80d519790a6c0fc8a SHA512 3dffe0a7a6325829d648d988b4fe43cc27121a4d6684c863aee926c2100061309491cb1b5c6ad4076222b97131636cb843d705d7f4097aa600e177577e8ec7c4
diff --git a/dev-python/sqlglot/sqlglot-18.2.0.ebuild b/dev-python/sqlglot/sqlglot-18.2.0.ebuild
new file mode 100644
index 000000000000..19b5d607c4f4
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-18.2.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+ https://sqlglot.com/
+ https://github.com/tobymao/sqlglot/
+ https://pypi.org/project/sqlglot/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+EPYTEST_IGNORE=(
+ # Tests require pyspark or duckdb which aren't in the tree.
+ # Pandas would be a requirement normally, but it gets ignored by proxy.
+ "tests/dataframe/integration/test_dataframe.py"
+ "tests/dataframe/integration/test_grouped_data.py"
+ "tests/dataframe/integration/test_session.py"
+ "tests/test_executor.py"
+ "tests/test_optimizer.py"
+)
+
+distutils_enable_tests pytest
+
+pkg_postinst() {
+ optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}
diff --git a/dev-python/stripe/Manifest b/dev-python/stripe/Manifest
index 63ce6338ad2a..edf39ea568f6 100644
--- a/dev-python/stripe/Manifest
+++ b/dev-python/stripe/Manifest
@@ -2,3 +2,4 @@ DIST stripe-5.5.0.tar.gz 270144 BLAKE2B aab1f824f0b9e27b80e23ecc9267c4cfc9e4b952
DIST stripe-6.0.0.tar.gz 262261 BLAKE2B e91fbbda137cdaa78042b8914a85dcd3d75e04568f0d4ad72659d638aaa302f0b404f7893146a1affa7c8249f4f3965f674d6849378f9f89075b48df17c201a0 SHA512 dd0ca09faa605259ac4cf02887cfa7c51583e7d9b560cc98ad91ba161d101daeae7f27adf0650e701dc2fc8094315715125a79389d4765bd4bea74054ed6967b
DIST stripe-6.1.0.tar.gz 263336 BLAKE2B 176903f3b6f4eabdcb3181272c96a66432f6569fcb3c976e03c2a4768adba900b65d3348e846d6cb9860fda6ff10a51a316b5b96b47d1e30f9c93c00b5de1f2e SHA512 fc4d4fbb49ae34e516fd10ec275982d4f555f9deaef42a598debd956c8c72528fd18fcacdbcc4ce55e326696ee45527a06740630c3152b937c2d4c29978a2f37
DIST stripe-6.2.0.tar.gz 264754 BLAKE2B be5d34887537154df852fd328e81949a0eb858e02236ecf5bcd33a43c0d1c7f1f71cbe67c89e4cb177e50fadd047a0a0c6945702993712f9212b46ea154a067a SHA512 e18fff6735f6c03d64a427232d3a67fff653d570a0413e03a3cb9c2e8dedeee88640197f8f8ad93cea76ace2c9fdee81b79d54cf48cf92a5f2a79b2e33160a7a
+DIST stripe-6.3.0.tar.gz 276422 BLAKE2B 2fa438593bdec94f5c8306ee180921c2920e8995036d3ec53794dcba89f4f97c257bfe13561d1fd993c49247d0423ca4d7f4e994c1b4b8386ebaddf47f9063de SHA512 900a85bd8a44404dcc8ed4e057db64087b7a6f05d8e01183c22fc5dd7da815298e23b386d2d41dee6ea3925e92653858cc945e163757870fe04c543def017424
diff --git a/dev-python/stripe/stripe-6.3.0.ebuild b/dev-python/stripe/stripe-6.3.0.ebuild
new file mode 100644
index 000000000000..42b062faefda
--- /dev/null
+++ b/dev-python/stripe/stripe-6.3.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Stripe python bindings"
+HOMEPAGE="
+ https://github.com/stripe/stripe-python/
+ https://pypi.org/project/stripe/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.20[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.0.0[${PYTHON_USEDEP}]
+"
+# please bump dev-util/stripe-mock dep to the latest version on every bump
+BDEPEND="
+ test? (
+ >=dev-util/stripe-mock-0.170.0
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ net-misc/curl
+ )
+"
+
+distutils_enable_tests pytest
+
+DOCS=( LONG_DESCRIPTION.rst CHANGELOG.md README.md )
+
+python_test() {
+ epytest tests
+}
+
+src_test() {
+ local stripe_mock_port=12111
+ local stripe_mock_max_port=12121
+ local stripe_mock_logfile="${T}/stripe_mock_${EPYTHON}.log"
+ # Try to start stripe-mock until we find a free port
+ while [[ ${stripe_mock_port} -le ${stripe_mock_max_port} ]]; do
+ ebegin "Trying to start stripe-mock on port ${stripe_mock_port}"
+ stripe-mock --http-port "${stripe_mock_port}" &> "${stripe_mock_logfile}" &
+ local stripe_mock_pid=${!}
+ sleep 2
+ # Did stripe-mock start?
+ curl --fail -u "sk_test_123:" \
+ "http://127.0.0.1:${stripe_mock_port}/v1/customers" &> /dev/null
+ eend ${?} "Port ${stripe_mock_port} unavailable"
+ if [[ ${?} -eq 0 ]]; then
+ einfo "stripe-mock running on port ${stripe_mock_port}"
+ break
+ fi
+ (( stripe_mock_port++ ))
+ done
+ if [[ ${stripe_mock_port} -gt ${stripe_mock_max_port} ]]; then
+ eerror "Unable to start stripe-mock for tests"
+ die "Please see the logfile located at: ${stripe_mock_logfile}"
+ fi
+
+ local -x STRIPE_MOCK_PORT=${stripe_mock_port}
+ distutils-r1_src_test
+
+ # Tear down stripe-mock
+ kill "${stripe_mock_pid}" || die "Unable to stop stripe-mock"
+}
diff --git a/dev-python/translate-toolkit/Manifest b/dev-python/translate-toolkit/Manifest
index 73f1149dc831..d27dc031ea43 100644
--- a/dev-python/translate-toolkit/Manifest
+++ b/dev-python/translate-toolkit/Manifest
@@ -1 +1,2 @@
DIST translate-3.10.0.gh.tar.gz 1195239 BLAKE2B be1e2925632d032081a07cd99d540a90f4526810d5a9f587b4c651c41f7afe53ec212b408dfb81bf57a74fb286124c49b5b7f9f56a9c4b861c8874c7c6986532 SHA512 9669e4eccb68eab93ed7a35e2673df4f60bcc9602c4d97954180a8eb7e92ad9b82d2c8ef0caa8d8ce19ee2ae58e04867729bfd326c9e1a11a451d702372377fe
+DIST translate-3.10.1.gh.tar.gz 1197315 BLAKE2B 8cb9f78e505a7e6c737fa39e32c731313893d9016e14e79d565f2c68baecedd8be47bc4cc715000ee8dfcf094624b9b3a68a39800ec98908684dab8e8517448e SHA512 f3355603e445a432cb69f102a2ce4a20013b3df1a4c17c60a4599b069db6a0ad5316d29d79f211a61a1eb155dd550fb2db7c98e3f36dc858c5d15118cbeae8d8
diff --git a/dev-python/translate-toolkit/translate-toolkit-3.10.1.ebuild b/dev-python/translate-toolkit/translate-toolkit-3.10.1.ebuild
new file mode 100644
index 000000000000..b11817255f02
--- /dev/null
+++ b/dev-python/translate-toolkit/translate-toolkit-3.10.1.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+MY_P=translate-${PV}
+DESCRIPTION="Toolkit to convert between many translation formats"
+HOMEPAGE="
+ https://github.com/translate/translate/
+ https://pypi.org/project/translate-toolkit/
+"
+SRC_URI="
+ https://github.com/translate/translate/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+html +ical +ini +subtitles +yaml"
+
+RDEPEND="
+ app-text/iso-codes
+ >=dev-python/chardet-3.0.4[${PYTHON_USEDEP}]
+ dev-python/cheroot[${PYTHON_USEDEP}]
+ >=dev-python/Levenshtein-0.12.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.3.1[${PYTHON_USEDEP}]
+ >=dev-python/mistletoe-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-3[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ sys-devel/gettext
+ html? ( dev-python/utidylib[${PYTHON_USEDEP}] )
+ ical? ( dev-python/vobject[${PYTHON_USEDEP}] )
+ ini? ( >=dev-python/iniparse-0.5[${PYTHON_USEDEP}] )
+ subtitles? ( media-video/gaupol[${PYTHON_USEDEP}] )
+ yaml? ( dev-python/pyyaml[${PYTHON_USEDEP}] )
+"
+# Technically, the test suite also has undeclared dependency
+# on dev-python/snapshottest but all the tests using it are broken
+# anyway, so we skip them.
+BDEPEND="
+ test? (
+ dev-python/phply[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ # unfortunately, this bad quality package doesn't support XDG_DATA_DIRS
+ # correctly, so we need to reassemble all data files in a single directory
+ local -x XDG_DATA_HOME=${T}/share
+ cp -r translate/share "${T}/" || die
+ cp -r "${ESYSROOT}/usr/share"/gaupol "${XDG_DATA_HOME}"/ || die
+
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Fails with network-sandbox (and even with it off but w/ softer fail)
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_open_office_to_xliff'
+ 'tests/xliff_conformance/test_xliff_conformance.py::test_po_to_xliff'
+ # all tests based on snapshottest are broken and I'm too tired
+ # to figure this out
+ translate/tools/test_pocount.py::test_cases
+ translate/tools/test_pocount.py::test_output
+ translate/tools/test_junitmsgfmt.py::test_output
+ )
+ local EPYTEST_IGNORE=(
+ # unpackaged fluent.*
+ translate/storage/test_fluent.py
+ # changes directory and does not change it back, sigh
+ tests/odf_xliff/test_odf_xliff.py
+ )
+
+ if ! use ini; then
+ EPYTEST_IGNORE+=(
+ translate/convert/test_ini2po.py
+ translate/convert/test_po2ini.py
+ )
+ fi
+
+ if ! use subtitles; then
+ EPYTEST_IGNORE+=(
+ translate/storage/test_subtitles.py
+ )
+ fi
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ insinto /usr
+ doins -r translate/share
+
+ if ! use html; then
+ rm "${ED}"/usr/bin/{html2po,po2html} || die
+ fi
+ if ! use ical; then
+ rm "${ED}"/usr/bin/{ical2po,po2ical} || die
+ fi
+ if ! use ini; then
+ rm "${ED}"/usr/bin/{ini2po,po2ini} || die
+ fi
+ if ! use subtitles; then
+ rm "${ED}"/usr/bin/{sub2po,po2sub} || die
+ fi
+}
diff --git a/dev-python/wsaccel/Manifest b/dev-python/wsaccel/Manifest
index b32d3f32d143..25244e3912f9 100644
--- a/dev-python/wsaccel/Manifest
+++ b/dev-python/wsaccel/Manifest
@@ -1 +1,2 @@
DIST wsaccel-0.6.4.gh.tar.gz 9947 BLAKE2B 1c0b7b8b82154420f64fcbf3217938ff7e829573ada6b979ff73fe450c0985e368a47cccf2d124506c28479a98f0799977677e16ee26754611362f6b61eff902 SHA512 980364fab8a661c8a2b406f9eb6c99fb5f3a1308bbcf6267fa63f002d8dfbb4a3ad027d83a2088d69324cab05bdc56138d7e66e2602aeb8864dfe49ad9218d07
+DIST wsaccel-0.6.6.gh.tar.gz 9930 BLAKE2B f8d8c9ae0966374fbd965859150cca68b3fae6f39fdcfa744f98e7fade2a76946b57bea753c2dbb4051ef635e0dd0fbfd915c7f8bf4b9b5cd2b5b372694d632f SHA512 4a107db921f6f6549fb9f2f0b5c698331274171ef509136fc2d83cb6ca8bedbde32a14aaca4e38e16af3054337774dbd6aa7d8caee7866a51ded751d7d3764be
diff --git a/dev-python/wsaccel/wsaccel-0.6.6.ebuild b/dev-python/wsaccel/wsaccel-0.6.6.ebuild
new file mode 100644
index 000000000000..af4c7806bc26
--- /dev/null
+++ b/dev-python/wsaccel/wsaccel-0.6.6.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Accelerator for ws4py, autobahn and tornado"
+HOMEPAGE="
+ https://github.com/methane/wsaccel/
+ https://pypi.org/project/wsaccel/
+"
+SRC_URI="
+ https://github.com/methane/wsaccel/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ cd tests || die
+ epytest
+}